<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>de.dlr.gitlab.fame</groupId>
  <artifactId>mpi-ompi-impl</artifactId>
  <version>1.0.2</version>

  <name>mpi-ompi-impl</name>
  <description>Provides implementation of fame-mpi-api using Open MPI</description>
  <url>https://gitlab.com/fame-framework/mpi/fame-mpi-ompi-impl</url>

  <licenses>
    <license>
      <name>The Apache License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
    </license>
  </licenses>

  <developers>
    <developer>
      <name>Dr. Christoph Schimeczek</name>
      <email>Christoph.Schimeczek@dlr.de</email>
      <organization>German Aerospace Center (DLR)</organization>
      <organizationUrl>http://www.dlr.de</organizationUrl>
    </developer>
    <developer>
      <name>Dr. A. Achraf El Ghazi</name>
      <email>Aboubakr.ElGhazi@dlr.de</email>
      <organization>German Aerospace Center (DLR)</organization>
      <organizationUrl>http://www.dlr.de</organizationUrl>
    </developer>
  </developers>

  <scm>
    <connection>scm:git:https://gitlab.com/fame-framework/mpi/fame-mpi-ompi-impl.git</connection>
    <url>https://gitlab.com/fame-framework/mpi/fame-mpi-ompi-impl</url>
  </scm>

  <properties>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-install-plugin</artifactId>
        <version>2.5.1</version>
        <configuration>
          <groupId>openmpi</groupId>
          <artifactId>openmpi</artifactId>
          <version>4.1.1</version>
          <packaging>jar</packaging>
          <file>${project.basedir}/\extlib/\openmpi/\openmpi/\4.1.1/\mpi.jar</file>
          <generatePom>true</generatePom>
        </configuration>
        <executions>
          <execution>
            <id>install-jar-lib</id>
            <goals>
              <goal>install-file</goal>
            </goals>
            <phase>validate</phase>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

  <dependencies>
    <dependency>
      <groupId>de.dlr.gitlab.fame</groupId>
      <artifactId>mpi-api</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>openmpi</groupId>
      <artifactId>openmpi</artifactId>
      <version>4.1.1</version>
    </dependency>
  </dependencies>

  <profiles>
    <profile>
      <id>only-eclipse</id>
      <activation>
        <property>
          <name>m2e.version</name>
        </property>
      </activation>
      <build>
        <pluginManagement>
          <plugins>
            <!-- Configure the Eclipse m2e plugin to support needed plugins! Warning about missing plugins can be ignored -->
            <plugin>
              <groupId>org.eclipse.m2e</groupId>
              <artifactId>lifecycle-mapping</artifactId>
              <version>1.0.0</version>
              <configuration>
                <lifecycleMappingMetadata>
                  <pluginExecutions>
                    <pluginExecution>
                      <pluginExecutionFilter>
                        <groupId>
                          org.apache.maven.plugins
                        </groupId>
                        <artifactId>
                          maven-install-plugin
                        </artifactId>
                        <versionRange>
                          [2.5.1,)
                        </versionRange>
                        <goals>
                          <goal>install-file</goal>
                        </goals>
                      </pluginExecutionFilter>
                      <action>
                        <execute />
                      </action>
                    </pluginExecution>
                  </pluginExecutions>
                </lifecycleMappingMetadata>
              </configuration>
            </plugin>
          </plugins>
        </pluginManagement>
      </build>
    </profile>
  </profiles>
</project>